.TH YTE "1" "November 2023" "YTE" "User Commands"
.SH NAME
yte \- command line interface for yte
.SH DESCRIPTION
usage: yte [\-h] [\-r]
.PP
Process a YAML file given at STDIN with YTE,
and print the result to STDOUT.
.IP
\fBNote:\fR if nothing is provided at STDIN,
this will wait forever.
.PP
It can be used to process a YTE template from STDIN
and prints the rendered version to STDOUT:
.IP
yte < template.yaml > rendered.yaml
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-r\fR, \fB\-\-require\-use\-yte\fR
require that the document contains a `__use_yte__:
true` statement at the top level. If the statement is
not present or false, return document unprocessed
(except removing the `__use_yte__: false` statement if
present)
.PP
